<h3>Consultar Ventas</h3>
<form (submit)="consulta(datos)" #datos="ngForm">
    <!-- <form> -->
    <div class="col-md-12 mb-3">
        <input class="form-check-input" type="radio" name="tipo_filtro" [(ngModel)]="tipo_filtro" value="Ticket" aria-label="Checkbox for following text input" id="rdoPorTicket" data-bs-toggle="collapse" href="#filtroTicket"> Filtrar por Ticket
    </div>
    <div [ngClass]="{'collapse':true,'show': tipo_filtro=='Ticket'}" id="filtroTicket" class="mb-3">
        <div class="card card-body">
            <div class="form-row ">
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text" style="width: 100px;">No. de Ticket</span>
                        <input type="text" class="form-control" [(ngModel)]="folio" name="folio" aria-describedby="inputGroupPrepend2" placeholder="No de Ticket" required *ngIf="tipo_filtro=='Ticket'">
                        <div id="valid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-12 mb-3">
        <input class="form-check-input" type="radio" name="tipo_filtro" [(ngModel)]="tipo_filtro" value="RangoFecha" aria-label="Checkbox for following text input" id="rdoPorFecha" data-bs-toggle="collapse" href="#filtroRangoFecha"> Filtrar por Rango
        de Fecha
    </div>

    <div [ngClass]="{'collapse':true,'show': tipo_filtro=='RangoFecha'}" id="filtroRangoFecha" class="mb-3">
        <div class="card card-body">
            <div class="form-row ">
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text" style="width: 100px;">Fecha Inicio</span>
                        <input type="date" class="form-control" [(ngModel)]="fecha_inicial" name="fecha_inicial" aria-describedby="inputGroupPrepend2" placeholder="Fecha Inical" required>
                        <div id="valid"></div>
                    </div>
                </div>
                <div class="col-md-6 mb-2">
                    <div class="input-group input-group-sm">
                        <span class="input-group-text" style="width: 100px; ">Fecha Final</span>
                        <input type="date" class="form-control" [(ngModel)]="fecha_final" name="fecha_final" aria-describedby="inputGroupPrepend2" placeholder="Fecha Inical" required>
                        <div id="valid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="form-row">
        <div class="col-md-3 mb-2">
            <div class="input-group input-group-sm">
                <button class="btn btn-primary" type="submit">
                    Consultar
                </button>
            </div>
        </div>
    </div>

</form>

<div class="table-responsive">

    <div class="btn-toolbar" role="toolbar">
        <div class="table-responsive">
            <div class="inner-container">
                <!-- <table datatable [dtOptions]="dtOptions" class="table table-striped table-bordered row-border hover"> -->
                <table [ngClass]="{'table':true,'table-hover': ventas_por_ticket.length != 0}" id="ventas">
                    <thead>
                        <tr>
                            <th>Acciones</th>
                            <th>#</th>
                            <th>Fecha Ticket</th>
                            <th>Folio Ticket</th>
                            <th>Importe</th>
                            <th>Descuento</th>
                            <th>IVA</th>
                            <th>Total</th>
                        </tr>
                    </thead>

                    <tbody *ngIf="ventas_agrupado_ticket.length==0">
                        <tr>
                            <td colspan="10" align="center">Sin Registros</td>
                        </tr>
                    </tbody>
                    <tbody *ngFor="let venta of ventas_agrupado_ticket;let i=index">
                        <tr id="{{venta.folio_venta}}">
                            <td>
                                <div class="input-group">
                                    <button class="btn btn-primary btn-sm" (click)="mostrarDetalles(detalleVentaModal,venta.folio_venta)" placement="top" ngbTooltip="Mostrar Detalle de Venta"><i class="bi bi-table"></i></button>
                                    <button class="btn btn-danger btn-sm" (click)="cancelarVenta(venta.folio_venta)" placement="top" ngbTooltip="Cancelar Venta"><i class="bi bi-cart-x-fill"></i></button>
                                </div>
                            </td>
                            <td>{{i+1}}</td>
                            <td>{{venta.fecha_venta}}</td>
                            <td>{{venta.folio_venta}}</td>
                            <td align="right">{{venta.importe_venta | currency}}</td>
                            <td align="right">{{venta.descuento | currency}}</td>
                            <td align="right">{{venta.importe_iva | currency}}</td>
                            <td align="right">{{venta.importe_total | currency}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div hidden>

    </div>
    <ng-template #detalleVentaModal let-c="close" let-d="dismiss">
        <div class="modal-header">
            <h4 class="modal-title" id="modal-basic-title">Detalle de la Venta {{ventas_por_ticket_folio}}</h4>
            <button type="button" class="close" aria-label="Close" (click)="d('cerrar')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <div id="detalle-div" class="table-responsive">
                <table id="detalle-table" class="table table-striped nowrap table-hover" style="width:100%" datatable [dtOptions]="dtOptions">
                    <thead>
                        <tr>
                            <th>Acciones</th>
                            <th>Cantidad</th>
                            <th>Concepto</th>
                            <th>Precio Unitario</th>
                            <th>Descuento</th>
                            <th>Importe</th>
                            <th>IVA</th>
                            <th>Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let venta of ventas_por_ticket">
                            <td align="center">
                                <button class="btn btn-danger btn-sm" (click)="cancelarMovimientoVenta(venta.folio_venta,venta.id_venta)" placement="right" ngbTooltip="Cancelar Concepto Venta"><i class="bi bi-cart-dash-fill"></i></button>
                            </td>
                            <td>{{venta.cantidad | number}}</td>
                            <td>{{venta.concepto | uppercase}}</td>
                            <td align="right">{{venta.precio_unitario | currency}}</td>
                            <td align="right">{{venta.descuento | currency}}</td>
                            <td align="right">{{venta.importe_venta | currency}}</td>
                            <td align="right">{{venta.importe_iva | currency}}</td>
                            <td align="right">{{venta.importe_total | currency}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- <div class="modal-footer">
            <button type="button" class="btn btn-outline-dark" (click)="c('Save click')">Save</button>
        </div> -->
    </ng-template>